PROG=example.c

default: run-slow run-fast

run-slow:
	gcc -O0 -o a.out $(PROG)
	objdump -zhD a.out > objdump-gcc-slow.txt
	gdb -batch-silent -x count-instructions.py ./a.out ; true

run-fast:
	gcc -O3 -o a.out $(PROG)
	objdump -zhD a.out > objdump-gcc-fast.txt
	gdb -batch-silent -x count-instructions.py ./a.out ; true

clean:
	rm -f a.out objdump*.txt
